package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComMsg {
    private Long id;

    private String uuid;

    private Long sendUserid;

    private Integer sendType;

    private String content;

    private Long staffId;

    private Long videoId;

    private String appname;

    private String title;

    private String weappiconurl;

    private String pagepath;

    private String rootSourceId;

    private String username;

    private String appid;

    private String cdnkey;

    private String md5;

    private String aeskey;

    private Integer filesize;

    private Boolean isroom;

    private Integer status;

    private Date createTime;

    private String desc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getSendUserid() {
        return sendUserid;
    }

    public void setSendUserid(Long sendUserid) {
        this.sendUserid = sendUserid;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getAppname() {
        return appname;
    }

    public void setAppname(String appname) {
        this.appname = appname;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWeappiconurl() {
        return weappiconurl;
    }

    public void setWeappiconurl(String weappiconurl) {
        this.weappiconurl = weappiconurl;
    }

    public String getPagepath() {
        return pagepath;
    }

    public void setPagepath(String pagepath) {
        this.pagepath = pagepath;
    }

    public String getRootSourceId() {
        return rootSourceId;
    }

    public void setRootSourceId(String rootSourceId) {
        this.rootSourceId = rootSourceId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getCdnkey() {
        return cdnkey;
    }

    public void setCdnkey(String cdnkey) {
        this.cdnkey = cdnkey;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getAeskey() {
        return aeskey;
    }

    public void setAeskey(String aeskey) {
        this.aeskey = aeskey;
    }

    public Integer getFilesize() {
        return filesize;
    }

    public void setFilesize(Integer filesize) {
        this.filesize = filesize;
    }

    public Boolean getIsroom() {
        return isroom;
    }

    public void setIsroom(Boolean isroom) {
        this.isroom = isroom;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", uuid=").append(uuid);
        sb.append(", sendUserid=").append(sendUserid);
        sb.append(", sendType=").append(sendType);
        sb.append(", content=").append(content);
        sb.append(", staffId=").append(staffId);
        sb.append(", videoId=").append(videoId);
        sb.append(", appname=").append(appname);
        sb.append(", title=").append(title);
        sb.append(", weappiconurl=").append(weappiconurl);
        sb.append(", pagepath=").append(pagepath);
        sb.append(", rootSourceId=").append(rootSourceId);
        sb.append(", username=").append(username);
        sb.append(", appid=").append(appid);
        sb.append(", cdnkey=").append(cdnkey);
        sb.append(", md5=").append(md5);
        sb.append(", aeskey=").append(aeskey);
        sb.append(", filesize=").append(filesize);
        sb.append(", isroom=").append(isroom);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", desc=").append(desc);
        sb.append("]");
        return sb.toString();
    }
}